net.sf.jasperreports.components.map

## Class MapElementImageProvider

- java.lang.Object
- - net.sf.jasperreports.components.map.MapElementImageProvider

-     public class MapElementImageProvider
      extends java.lang.Object

  Version:
    $Id: MapElementImageProvider.java 6489 2013-09-09 10:36:08Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Integer` | `MAX_URL_LENGTH` The character count limit for a static map URL request

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapElementImageProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JRPrintImage` | `getImage(JasperReportsContext jasperReportsContext, JRGenericPrintElement element)`
    `static JRPrintImage` | `getImage(JRGenericPrintElement element)` Deprecated. Replaced by `getImage(JasperReportsContext, JRGenericPrintElement)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_URL_LENGTH

          public static java.lang.Integer MAX_URL_LENGTH

      The character count limit for a static map URL request

  - ### Constructor Detail

    - #### MapElementImageProvider

          public MapElementImageProvider()

  - ### Method Detail

    - #### getImage

          public static JRPrintImage getImage(JRGenericPrintElement element)
                                       throws JRException

      Deprecated. Replaced by `getImage(JasperReportsContext, JRGenericPrintElement)`.
      Throws:
        `JRException`

    - #### getImage

          public static JRPrintImage getImage(JasperReportsContext jasperReportsContext,
                              JRGenericPrintElement element)
                                       throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com